Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.engine.base
Class JRBasePrintElement

    java.lang.Object
      net.sf.jasperreports.engine.base.JRBasePrintElement

All Implemented Interfaces:
  java.io.Serializable, JRCommonElement, JRPrintElement, JRPropertiesHolder, JRStyleContainer

Direct Known Subclasses:
  JRBaseGenericPrintElement, JRBasePrintFrame, JRBasePrintGraphicElement, JRBasePrintText

    public class JRBasePrintElement

extends java.lang.Object
implements JRPrintElement, java.io.Serializable

Version:
  $Id: JRBasePrintElement.java 3991 2010-10-12 20:10:55Z lucianc $
Author:
  Teodor Danciu (teodord@users.sourceforge.net)
See Also:
  Serialized Form

Field Summary
`protected java.awt.Color` | `backcolor`
`protected JRDefaultStyleProvider` | `defaultStyleProvider`
`protected java.awt.Color` | `forecolor`
`protected int` | `height`
`protected java.lang.String` | `key`
`protected ModeEnum` | `modeValue`
`protected JROrigin` | `origin`
`protected JRStyle` | `style`
`protected int` | `width`
`protected int` | `x`
`protected int` | `y`

Constructor Summary
`JRBasePrintElement(JRDefaultStyleProvider defaultStyleProvider)`

Method Summary
`
`<T> void`
` | `accept(PrintElementVisitor<T> visitor, T arg)` Accepts a print element visitor.
`java.awt.Color` | `getBackcolor()`
`JRDefaultStyleProvider` | `getDefaultStyleProvider()`
`java.awt.Color` | `getForecolor()`
`int` | `getHeight()`
`java.lang.String` | `getKey()` Returns a string key that can be used to identify the element.
`byte` | `getMode()` Deprecated. Replaced by `getModeValue()`.
`ModeEnum` | `getModeValue()` Returns the element transparency mode.
`JROrigin` | `getOrigin()`
`java.awt.Color` | `getOwnBackcolor()`
`java.awt.Color` | `getOwnForecolor()`
`java.lang.Byte` | `getOwnMode()` Deprecated. Replaced by `getOwnModeValue()`.
`ModeEnum` | `getOwnModeValue()`
`JRPropertiesHolder` | `getParentProperties()` Returns the parent properties holder, whose properties are used as defaults for this object.
`JRPropertiesMap` | `getPropertiesMap()` Returns this object's properties map.
`JRStyle` | `getStyle()` Returns this object's style.
`java.lang.String` | `getStyleNameReference()` Returns null as external style references are not allowed for print objects.
`int` | `getWidth()`
`int` | `getX()`
`int` | `getY()`
`boolean` | `hasProperties()` Checks whether the object has any properties.
`void` | `setBackcolor(java.awt.Color backcolor)`
`void` | `setForecolor(java.awt.Color forecolor)`
`void` | `setHeight(int height)`
`void` | `setKey(java.lang.String key)` Sets the print element key.
`void` | `setMode(byte mode)` Deprecated. Replaced by `setMode(ModeEnum)`.
`void` | `setMode(java.lang.Byte mode)` Deprecated. Replaced by `setMode(ModeEnum)`.
`void` | `setMode(ModeEnum modeValue)` Sets the element transparency mode.
`void` | `setOrigin(JROrigin origin)`
`void` | `setStyle(JRStyle style)`
`void` | `setWidth(int width)`
`void` | `setX(int x)`
`void` | `setY(int y)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### origin

    protected JROrigin origin

### key

    protected java.lang.String key

### modeValue

    protected ModeEnum modeValue

### x

    protected int x

### y

    protected int y

### width

    protected int width

### height

    protected int height

### forecolor

    protected java.awt.Color forecolor

### backcolor

    protected java.awt.Color backcolor

### defaultStyleProvider

    protected JRDefaultStyleProvider defaultStyleProvider

### style

    protected JRStyle style

Constructor Detail

### JRBasePrintElement

    public JRBasePrintElement(JRDefaultStyleProvider defaultStyleProvider)

Method Detail

### getDefaultStyleProvider

    public JRDefaultStyleProvider getDefaultStyleProvider()

  Specified by:
    `getDefaultStyleProvider` in interface `JRStyleContainer`

### getOrigin

    public JROrigin getOrigin()

  Specified by:
    `getOrigin` in interface `JRPrintElement`

### setOrigin

    public void setOrigin(JROrigin origin)

### getStyle

    public JRStyle getStyle()

  Description copied from interface: `JRStyleContainer`
  Returns this object's style.

  Specified by:
    `getStyle` in interface `JRStyleContainer`
  Returns:
    this object's style

### setStyle

    public void setStyle(JRStyle style)

  Specified by:
    `setStyle` in interface `JRPrintElement`

### getMode

    public byte getMode()

  Deprecated. Replaced by `getModeValue()`.

  Specified by:
    `getMode` in interface `JRCommonElement`

### getOwnMode

    public java.lang.Byte getOwnMode()

  Deprecated. Replaced by `getOwnModeValue()`.

  Specified by:
    `getOwnMode` in interface `JRCommonElement`

### getModeValue

    public ModeEnum getModeValue()

  Description copied from interface: `JRCommonElement`
  Returns the element transparency mode. The default value depends on the type of the report element. Graphic elements like rectangles and lines are opaque by default, but the images are transparent. Both static texts and text fields are transparent by default, and so are the subreport elements.

  Specified by:
    `getModeValue` in interface `JRCommonElement`

### getOwnModeValue

    public ModeEnum getOwnModeValue()

  Specified by:
    `getOwnModeValue` in interface `JRCommonElement`

### setMode

    public void setMode(byte mode)

  Deprecated. Replaced by `setMode(ModeEnum)`.

  Specified by:
    `setMode` in interface `JRCommonElement`

### setMode

    public void setMode(java.lang.Byte mode)

  Deprecated. Replaced by `setMode(ModeEnum)`.

  Specified by:
    `setMode` in interface `JRCommonElement`

### setMode

    public void setMode(ModeEnum modeValue)

  Description copied from interface: `JRCommonElement`
  Sets the element transparency mode.

  Specified by:
    `setMode` in interface `JRCommonElement`

### getX

    public int getX()

  Specified by:
    `getX` in interface `JRPrintElement`

### setX

    public void setX(int x)

  Specified by:
    `setX` in interface `JRPrintElement`

### getY

    public int getY()

  Specified by:
    `getY` in interface `JRPrintElement`

### setY

    public void setY(int y)

  Specified by:
    `setY` in interface `JRPrintElement`

### getWidth

    public int getWidth()

  Specified by:
    `getWidth` in interface `JRCommonElement`
  Specified by:
    `getWidth` in interface `JRPrintElement`

### setWidth

    public void setWidth(int width)

  Specified by:
    `setWidth` in interface `JRPrintElement`

### getHeight

    public int getHeight()

  Specified by:
    `getHeight` in interface `JRCommonElement`
  Specified by:
    `getHeight` in interface `JRPrintElement`

### setHeight

    public void setHeight(int height)

  Specified by:
    `setHeight` in interface `JRPrintElement`

### getForecolor

    public java.awt.Color getForecolor()

  Specified by:
    `getForecolor` in interface `JRCommonElement`

### getOwnForecolor

    public java.awt.Color getOwnForecolor()

  Specified by:
    `getOwnForecolor` in interface `JRCommonElement`

### setForecolor

    public void setForecolor(java.awt.Color forecolor)

  Specified by:
    `setForecolor` in interface `JRCommonElement`

### getBackcolor

    public java.awt.Color getBackcolor()

  Specified by:
    `getBackcolor` in interface `JRCommonElement`

### getOwnBackcolor

    public java.awt.Color getOwnBackcolor()

  Specified by:
    `getOwnBackcolor` in interface `JRCommonElement`

### setBackcolor

    public void setBackcolor(java.awt.Color backcolor)

  Specified by:
    `setBackcolor` in interface `JRCommonElement`

### getKey

    public java.lang.String getKey()

  Description copied from interface: `JRPrintElement`
  Returns a string key that can be used to identify the element.

  When filling a report, the `report element key` is copied to all print elements generated by a report element. Note that this means that multiple elements having the same key can appear on the same page/filled report.

  Specified by:
    `getKey` in interface `JRCommonElement`
  Specified by:
    `getKey` in interface `JRPrintElement`

### setKey

    public void setKey(java.lang.String key)

  Sets the print element key.

  Parameters:
    `key` - the element key
  See Also:
    `getKey()`

### getStyleNameReference

    public java.lang.String getStyleNameReference()

  Returns null as external style references are not allowed for print objects.

  Specified by:
    `getStyleNameReference` in interface `JRStyleContainer`
  Returns:
    the name of an external style

### hasProperties

    public boolean hasProperties()

  Description copied from interface: `JRPropertiesHolder`
  Checks whether the object has any properties.

  Specified by:
    `hasProperties` in interface `JRPropertiesHolder`
  Returns:
    whether the object has any properties

### getPropertiesMap

    public JRPropertiesMap getPropertiesMap()

  Description copied from interface: `JRPropertiesHolder`
  Returns this object's properties map.

  Specified by:
    `getPropertiesMap` in interface `JRPropertiesHolder`
  Returns:
    this object's properties map

### getParentProperties

    public JRPropertiesHolder getParentProperties()

  Description copied from interface: `JRPropertiesHolder`
  Returns the parent properties holder, whose properties are used as defaults for this object.

  Specified by:
    `getParentProperties` in interface `JRPropertiesHolder`
  Returns:
    the parent properties holder, or `null` if no parent

### accept

    public <T> void accept(PrintElementVisitor<T> visitor,
                           T arg)

  Description copied from interface: `JRPrintElement`
  Accepts a print element visitor.

  The element calls the method that corresponds to the element type on the visitor.

  Specified by:
    `accept` in interface `JRPrintElement`
  Type Parameters:
    `T` - the type of the argument passed to the visit operation
  Parameters:
    `visitor` - the visitor objects
    `arg` - the argument passed to the visit operation

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com